# Opyrability - Process Operability Analysis in Python.

Welcome to opyrability, a Python-based package for performing [Process Operability](https://www.sciencedirect.com/science/article/pii/S1474667017338028) analysis.

opyrability is developed by the Control, Optimization and Design for Energy and Sustainability (CODES) Group at West Virginia University under Dr. [Fernando V. Lima](https://fernandolima.faculty.wvu.edu/)'s supervision.

![](/docs/opyrability_overview.png)

Authors:
[Victor Alves](https://github.com/victoraalves) and [San Dinh](https://github.com/sanqdinh)

## Documentation and Process Operability Principles

Full documentation and discussion regarding process operability principles are available in [opyrability's online portal.](https://codes-group.github.io/opyrability/)

## Installation

The Anaconda distribution is needed to have some of opyrability's dependencies.

### From PyPI/conda (Windows, Linux and macOS):

The following commands will install opyrability and all dependencies on any OS (Windows, Linux and macOS):

```console
pip install opyrability
```

Then install [Cyipopt](https://github.com/mechmotum/cyipopt) from **conda**:

```console
conda install -c conda-forge cyipopt
```

### From conda (Linux and macOS only):

The single command below will install opyrability and all requirements/dependencies on Linux/macOS  operating systems automatically:

```console
conda install -c codes-group -c conda-forge opyrability
```


